<?php
// Inclui a conexão


//$host1    = $_SESSION['HOST'];
//$user1    = $_SESSION['USER'];
//$pass1    = $_SESSION['PASS'];
//$dbname1  = $_SESSION['DBNAME'];

$host1    = "localhost";
$user1    = "root";
$pass1    = "";
$dbname1  = "eed";

$host1    = "mysql.portalediouro.com.br";
$user1    = "portaled02_add1";
$pass1    = "ediouro123";
$dbname1  = "portalediouro02";


$mysqli = new mysqli($host1, $user1, $pass1, $dbname1);

/* check connection */
if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
exit();
     }



$pasta = "../ftp/remessa/";
$arquivos = glob("$pasta{*.pdf,*.txt,*.xml}", GLOB_BRACE);
$tipo="";
$cnpj="";
$arqnfe="";
$arqboleto="";

foreach($arquivos as $img){
   
    
   $tipo="";
   $cnpj="";
   $arqnfe="";
   $arqrepart="";
   $arqboleto="";
   
   echo "$img <br>" ;
   // tipo
   $rest = substr($img, -3);    // retorna o tipo do arquivo
   echo "$rest <br>" ;
   $tipo = $rest;
   //  cnpj
   $rest = substr($img, -18, 14); // retorna o cnpj 
   echo "$rest <br>" ;
   $cnpj = $rest;
   
   $rest = substr($img, -32, 3); // retorna o cnpj 
   echo "$rest <br>" ;
   $arqnfe = $rest;
   
   $rest = substr($img, -33, 7); // retorna o cnpj 
   echo "$rest <br>" ;
   $arqrepart = $rest;
   
   $rest = substr($img, -38, 6); // retorna o cnpj 
   echo "$rest <br>" ;
   $arqboleto = $rest;
   
   
   if ($arqnfe == "NFE" or $arqrepart == "REPARTE" or $arqboleto == "Boleto") {
      
    
   
   date_default_timezone_set('America/Sao_Paulo');
   $date = date('Y-m-d H:i:s');
   
   $descricao = "";
   if ($tipo == "pdf") {
      $descricao = "Danfe Nota Fiscal" ; 
      // nome do arquivo
      $rest = substr($img, -32, 32); // retorna o nome do arquivo
      echo "$rest <br>" ;
      $arquivo = $rest;
   }
   
   if ($arqboleto == "Boleto") {
      $descricao = "Boleto" ; 
      // nome do arquivo
      $rest = substr($img, -38, 38); // retorna o nome do arquivo
      echo "$rest <br>" ;
      $arquivo = $rest;
   }
   if ($tipo == "txt") {
      $descricao = "Reparte a ser importado para o sistema analista" ; 
      // nome do arquivo
      $rest = substr($img, -33, 33); // retorna o nome do arquivo
      echo "$rest <br>" ;
      $arquivo = $rest;
   }                 
   if ($tipo == "xml") {
      $descricao = "Xml Nota Fiscal" ; 
      // nome do arquivo
      $rest = substr($img, -32, 32); // retorna o nome do arquivo
      echo "$rest <br>" ;
      $arquivo = $rest;
   }            
   
   

   // incluir dados no  Banco de dados
   $query = "INSERT INTO doctos (titulo_artigo, descricao_artigo,
             conteudo_artigo,foto,categorias_artigo_id,slug_artigo,
             created,customercode,cnpj,tipo,id_prod_Planeta,status,data,descricao)
             VALUES ('x','x','x','$arquivo','1','1','$date','0000','$cnpj','$tipo','306E115','A','$date','$descricao');";

   if ($result = $mysqli->query($query)) {
         
   }
  
  $origem = "../ftp/remessa/";
  $origem .=  $arquivo;
  echo "$origem <br>" ;
  $destino = "../ftp/remessa/doctos/";
  $destino .= $arquivo; 
  echo "$destino <br>" ;
  echo " <br>" ;
  copy($origem, $destino);
  unlink($origem);
     
   
}
}
/* free result set */
//     $result->close();
       



die;



?>
